/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2009.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: sgx/src/domains/graphics/color/colorconstants.cpp

*/

#include "sgx/core/types/types.hpp"
#include "sgx/core/stl/stl.hpp"
#include "domains/graphics/color/colortypes.hpp"

const sgxColorRGB	sgxColorRGB::White(1,1,1);
const sgxColorRGB	sgxColorRGB::LtGrey(0.8f,0.8f,0.8f);
const sgxColorRGB	sgxColorRGB::DkGrey(0.4f,0.4f,0.4f);
const sgxColorRGB	sgxColorRGB::Black(0,0,0);
const sgxColorRGB	sgxColorRGB::Red(1,0,0);
const sgxColorRGB	sgxColorRGB::Green(0,1,0);
const sgxColorRGB	sgxColorRGB::Blue(0,0,1);
const sgxColorRGB	sgxColorRGB::Yellow(1,1,0);
const sgxColorRGB	sgxColorRGB::Magenta(1,0,1);
const sgxColorRGB	sgxColorRGB::Cyan(0,1,1);

const sgxColorRGBA	sgxColorRGBA::White(1,1,1);
const sgxColorRGBA	sgxColorRGBA::LtGrey(0.8f,0.8f,0.8f);
const sgxColorRGBA	sgxColorRGBA::DkGrey(0.4f,0.4f,0.4f);
const sgxColorRGBA	sgxColorRGBA::Black(0,0,0);
const sgxColorRGBA	sgxColorRGBA::Red(1,0,0);
const sgxColorRGBA	sgxColorRGBA::Green(0,1,0);
const sgxColorRGBA	sgxColorRGBA::Blue(0,0,1);
const sgxColorRGBA	sgxColorRGBA::Yellow(1,1,0);
const sgxColorRGBA	sgxColorRGBA::Magenta(1,0,1);
const sgxColorRGBA	sgxColorRGBA::Cyan(0,1,1);
